{{- if .Values.istio.gateways.public.gw_service -}}
apiVersion: v1
kind: Service
metadata:
  labels:
    app: istio-gateway
    gl_dept_group: eng-infra-reliability-foundations
    istio: gateway
  name: istio-gateway-cip
  namespace: istio-ingress
spec:
  ports:
  - name: status-port
    port: 15021
    protocol: TCP
    targetPort: 15021
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  - name: https
    port: 443
    protocol: TCP
    targetPort: 443
    appProtocol: HTTPS
  - name: ssh
    port: 22
    protocol: TCP
    targetPort: 22
  - name: kas-grpc
    port: 8150
    protocol: TCP
    targetPort: 8150
  selector:
    app: istio-gateway
    istio: gateway
{{- end -}}
